package Test;

import Alibaba.*;
import Alibaba.System;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.BeforeAll;
import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNull;

public class Testing {
    static System system;
    static User user1;
    static User user2;
    static Plane p1;
    static Plane p2;
    static Flight f1;
    @BeforeAll
    public static void PreStarts() {
        system = new System();
        user1 = new User("pasha", 1);
        user2 = new User("mamad", 2);
        p1 = new Plane("Airbus", 10, 12, 15);
        p2 = new Plane("Topolof", 15, 5, 5);
        f1 = new Flight("monday", 13, "Tehran", "Berlin", "QeshmAir", p1, 123);
    }

    @Test
    public void testReservation(){
        Ticket t1 = user1.reserveSeat(12 , p1);
        assertNotNull(t1);
        Ticket t2 = user2.reserveSeat(12 , p1);
        assertNull(t2);
        t2 = user2.reserveSeat(15 , p1);
        assertNotNull(t2);

    }
}

